# FinderDocumentScannerConfiguration class

Finder Document scanner configuration class. All UI configuration options are optional.

## Constructors

FinderDocumentScannerConfiguration({double? acceptedAngleScore, double? acceptedSizeScore, double? acceptedBrightnessThreshold, bool? autoSnappingEnabled, double? autoSnappingSensitivity, double? autoSnappingDelay, CameraModule? cameraModule, Color? cameraBackgroundColor, CameraPreviewMode? cameraPreviewMode, bool? touchToFocusEnabled, String? cameraUnavailableExplanationText, String? cancelButtonTitle, ImageFilterType? defaultPageFilter, DocumentDetectorMode? detectorMode, String? enableCameraButtonTitle, String? enableCameraExplanationText, bool? flashButtonHidden, bool? flashEnabled, bool? forceUserGuidance, bool? ignoreBadAspectRatio, double? imageScale, OrientationLockMode? orientationLockMode, CapturePhotoQualityPrioritization? photoQualityPrioritization, Color? polygonBackgroundColor, Color? polygonBackgroundColorOK, Color? polygonColor, Color? polygonColorOK, double? polygonLineWidth, double? polygonCornerRadius, Color? autoSnapProgressColor, double? autoSnapProgressLineWidth, bool? autoSnapProgressEnabled, bool? lockDocumentAspectRatioToFinder, Color? shutterButtonAutoInnerColor, Color? shutterButtonAutoOuterColor, Color? shutterButtonIndicatorColor, Color? shutterButtonManualInnerColor, Color? shutterButtonManualOuterColor, bool? stopsCameraSessionWhenDisappeared, String? textHintBadAngles, String? textHintBadAspectRatio, String? textHintNothingDetected, String? textHintOffCenter, String? textHintOK, String? textHintTooDark, String? textHintTooNoisy, String? textHintTooSmall, Color? topBarBackgroundColor, Color? topBarButtonsActiveColor, Color? topBarButtonsInactiveColor, Color? userGuidanceBackgroundColor, Color? userGuidanceTextColor, double? userGuidanceFontSize, Size? documentImageSizeLimit, bool? shutterButtonHidden, String? textHintEnergySavingActive, bool? useButtonsAllCaps, FinderDocumentScannerAccessibilityConfiguration? accessibilityConfiguration})

## Properties

acceptedAngleScore ↔ double?
  Minimum score in percent (0 - 100) of the accepted perspective distortion of the detected document. Default is 75.0.
  getter/setter pair inherited
acceptedBrightnessThreshold ↔ double?
  The brightness threshold to accept a detected document in the range of 0 (very dark) to 255 (very bright). If the average brightness value of the detectors input image is below this value, the status of the detection will be set to ERROR_TOO_DARK.
  getter/setter pair inherited
acceptedSizeScore ↔ double?
  Minimum score in percent (0 - 100) of accepted document width or height to screen size ratio of the detected document. Default is 80.0.
  getter/setter pair inherited
accessibilityConfiguration ↔ FinderDocumentScannerAccessibilityConfiguration?
  Allows you to customize the accessibility configuration for the Document Scanner UI.
  getter/setter pair inherited
autoSnappingDelay ↔ double?
  Minimum delay in seconds between two consecutive automatic image captures. iOS only.
  getter/setter pair inherited
autoSnappingEnabled ↔ bool?
  Whether to enable auto-snapping. If enabled, the document scanner will take a photo automatically when a document is detected, conditions are good and the auto-snapping time-out elapses. In this mode, the user can still tap the shutter button to snap a document.
  getter/setter pair inherited
autoSnappingSensitivity ↔ double?
  Controls the auto-snapping speed. Sensitivity must be within the 0..1 range. A value of 1.0 triggers automatic capturing immediately, a value of 0.0 delays the automatic capturing by 3 seconds. Default value is 0.66 (2 seconds).
  getter/setter pair inherited
autoSnapProgressColor ↔ Color?
  Stroke color of the polygon or the finder's auto-snap progress animation. Default is green. Can't be nil.
  getter/setter pair inherited
autoSnapProgressEnabled ↔ bool?
  Whether to enable the polygon or finder's auto-snap progress animation. Default is true.
  getter/setter pair inherited
autoSnapProgressLineWidth ↔ double?
  Line width of the polygon or the finder's auto-snap progress animation. Default is 5.0.
  getter/setter pair inherited
cameraBackgroundColor ↔ Color?
  Color of the camera background (relevant only when the camera preview mode is CameraPreviewMode.FIT_IN).
  getter/setter pair inherited
cameraModule ↔ CameraModule?
  Preferred camera module (Default: BACK).
  getter/setter pair inherited
cameraOverlayColor ↔ Color?
  Background color outside of the finder window.
  getter/setter pair inherited
cameraPreviewMode ↔ CameraPreviewMode?
  Preview mode of the camera. Fit-In or Fill-In.
  getter/setter pair inherited
cameraUnavailableExplanationText ↔ String?
  String being displayed on the label describing that the app is in split mode and needs to go fullscreen to work with the camera. iOS only.
  getter/setter pair inherited
cancelButtonTitle ↔ String?
  Title of the cancel button.
  getter/setter pair inherited
defaultPageFilter ↔ ImageFilterType?
  Default image filter type for new document pages. Defaults to ImageFilterTypeNone.
  getter/setter pair inherited
detectorMode ↔ DocumentDetectorMode?
  Document detector mode to be used for detecting the document outline. Defaults to ML_BASED. iOS only. For Android, use the Scanbot SDK initializer.
  getter/setter pair inherited
documentImageSizeLimit ↔ Size?
  Limits the maximum size of the document image. If the width or height are zero, this property is effectively ignored.
  getter/setter pair inherited
enableCameraButtonTitle ↔ String?
  Title of the button that opens the screen where the user can allow the usage of the camera by the app.
  getter/setter pair inherited
enableCameraExplanationText ↔ String?
  Text that will be displayed when the app is not allowed to use the camera, prompting the user to enable the usage of the camera.
  getter/setter pair inherited
finderAspectRatio ↔ AspectRatio?
  Aspect ratio of the finder frame (width to height), which is used to build the actual finder frame. Default is the DIN A4 aspect ratio.
  getter/setter pair inherited
finderEnabled ↔ bool?
  Whether to enable the view finder.
  getter/setter pair inherited
finderLineColor ↔ Color?
  Foreground color of the detection overlay.
  getter/setter pair inherited
finderLineWidth ↔ double?
  Width of finder frame border. Default is 2.
  getter/setter pair inherited
flashButtonHidden ↔ bool?
  Whether the flash toggle button is hidden.
  getter/setter pair inherited
flashEnabled ↔ bool?
  Whether the flash should be initially enabled. The default value is FALSE.
  getter/setter pair inherited
forceUserGuidance ↔ bool?
  Whether to show the user guidance elements if auto-snapping is disabled.
  getter/setter pair inherited
hashCode → int
  The hash code for this object.
  no setter inherited
ignoreBadAspectRatio ↔ bool?
  Sets whether to ignore the OK_BUT_BAD_ASPECT_RATIO detection status. By default, BadAspectRatio is ignored.
  getter/setter pair inherited
imageScale ↔ double?
  Image scaling factor. The factor must be within the 0..1 range. A factor of 1 means that the resulting images retain their original size. When the factor is less than 1, resulting images will be made smaller by that factor. By default the scale is 1.
  getter/setter pair inherited
lockDocumentAspectRatioToFinder ↔ bool?
  Whether to allow scanning only for documents with the same aspect ratio as the finder.
  getter/setter pair inherited
orientationLockMode ↔ OrientationLockMode?
  Mode for locking the UI's orientation.
  getter/setter pair inherited
photoQualityPrioritization ↔ CapturePhotoQualityPrioritization?
  Prioritization of still image quality and capturing speed. Defaults to CapturePhotoQualityPrioritization.BALANCED. If you experience lots of blurry still images, try to set this property to CapturePhotoQualityPrioritization.QUALITY. iOS only.
  getter/setter pair inherited
polygonBackgroundColor ↔ Color?
  Background color of the detected document's outline when the document's angle, size or aspect ratio is not yet sufficiently good. (All net.doo.snap.lib.detector.DetectionResult with OK_BUT_XXX.)
  getter/setter pair inherited
polygonBackgroundColorOK ↔ Color?
  Background color of the detected document's outline when ready to snap.
  getter/setter pair inherited
polygonColor ↔ Color?
  Color of the detected document's outline when the document's angle, size or aspect ratio is not yet sufficiently good. (All detection statuses in net.doo.snap.lib.detector.DetectionResult that have the OK_BUT_XXX prefix.)
  getter/setter pair inherited
polygonColorOK ↔ Color?
  Color of the detected document's outline when ready to snap.
  getter/setter pair inherited
polygonCornerRadius ↔ double?
  Radius to use when drawing rounded corners of the polygon. Default is 8.0.
  getter/setter pair inherited
polygonEnabled ↔ bool?
  Whether to display the document's polygon.
  getter/setter pair inherited
polygonLineWidth ↔ double?
  Width of the detected document's outline.
  getter/setter pair inherited
runtimeType → Type
  A representation of the runtime type of the object.
  no setter inherited
screen ↔ String?
  The configuration object should be applied for this screen
  getter/setter pair
shutterButtonAutoInnerColor ↔ Color?
  Foreground color of the shutter button in auto-snapping mode.
  getter/setter pair inherited
shutterButtonAutoOuterColor ↔ Color?
  Background color of the shutter button in auto-snapping mode.
  getter/setter pair inherited
shutterButtonHidden ↔ bool?
  Whether to hide the shutter button. Defaults to TRUE. If set to TRUE, auto-snapping is enabled and the property autoSnappingEnabled of the behavior configuration will have no effect. Also the auto-snapping button will be hidden.
  getter/setter pair inherited
shutterButtonIndicatorColor ↔ Color?
  Indicator color of the shutter button in auto-snapping mode. iOS only.
  getter/setter pair inherited
shutterButtonManualInnerColor ↔ Color?
  Foreground color of the shutter button in manual mode.
  getter/setter pair inherited
shutterButtonManualOuterColor ↔ Color?
  Background color of the shutter button in manual mode.
  getter/setter pair inherited
stopsCameraSessionWhenDisappeared ↔ bool?
  If true, the camera session is stopped entirely when the receiver disappears and restarted when the receiver reappears. Else, will pause the delivery of video frames. Defaults to True. iOS only.
  getter/setter pair inherited
textHintBadAngles ↔ String?
  Text hint that will be shown when the current detection status is OK_BUT_BAD_ANGLES.
  getter/setter pair inherited
textHintBadAspectRatio ↔ String?
  Text hint that will be shown when the current detection status is OK_BUT_BAD_ASPECT_RATIO.
  getter/setter pair inherited
textHintEnergySavingActive ↔ String?
  Text hint that will be shown when the scanner's energy saver is activated. iOS only.
  getter/setter pair inherited
textHintNothingDetected ↔ String?
  Text hint that will be shown when the current detection status is ERROR_NOTHING_DETECTED.
  getter/setter pair inherited
textHintOffCenter ↔ String?
  Text hint that will be show when a document was detected, but its center is too far away from the image center.
  getter/setter pair inherited
textHintOK ↔ String?
  Text hint that will be shown when the current detection status is OK.
  getter/setter pair inherited
textHintTooDark ↔ String?
  Text hint that will be shown when the current detection status is ERROR_TOO_DARK.
  getter/setter pair inherited
textHintTooNoisy ↔ String?
  Text hint that will be shown when the current detection status is ERROR_TOO_NOISY.
  getter/setter pair inherited
textHintTooSmall ↔ String?
  Text hint that will be shown when the current detection status is OK_BUT_TOO_SMALL.
  getter/setter pair inherited
topBarBackgroundColor ↔ Color?
  Background color of the top toolbar.
  getter/setter pair inherited
topBarButtonsActiveColor ↔ Color?
  Color of all active toggle buttons in the toolbar.
  getter/setter pair inherited
topBarButtonsInactiveColor ↔ Color?
  Color of all inactive toggle buttons in the toolbar.
  getter/setter pair inherited
touchToFocusEnabled ↔ bool?
  Whether touch-to-focus is enabled on camera preview. Enabled by default. Android only.
  getter/setter pair inherited
useButtonsAllCaps ↔ bool?
  Whether buttons should use all-capitals style, as defined by the Android Material Design. Defaults to TRUE. Android only.
  getter/setter pair inherited
userGuidanceBackgroundColor ↔ Color?
  Background color of the user guidance hints.
  getter/setter pair inherited
userGuidanceFontSize ↔ double?
  Font size of the user guidance. Default is 17.0.
  getter/setter pair inherited
userGuidanceTextColor ↔ Color?
  Text color of the user guidance hints.
  getter/setter pair inherited
version ↔ String?
  Version number of the configuration object.
  getter/setter pair inherited

## Methods

noSuchMethod(Invocation invocation) → dynamic
  Invoked when a nonexistent method or property is accessed.
  inherited
toJson() → Map<String, dynamic>
  inherited
toString() → String
  A string representation of this object.
  inherited

## Operators

operator ==(Object other) → bool
  The equality operator.
  inherited